org.apache.ivy.plugins.resolver.util

## Class ResolvedResource

- java.lang.Object
- - org.apache.ivy.plugins.resolver.util.ResolvedResource

All Implemented Interfaces:
  ArtifactInfo

Direct Known Subclasses:
  MDResolvedResource

    public class ResolvedResource
    extends java.lang.Object
    implements ArtifactInfo

### Constructor Summary

Constructors
Constructor and Description
`ResolvedResource(Resource res, java.lang.String rev)`

### Method Summary

Methods
`long` `getLastModified()`
`Resource` `getResource()`
`java.lang.String` `getRevision()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ResolvedResource

    public ResolvedResource(Resource res,
                    java.lang.String rev)

### Method Detail

#### getRevision

    public java.lang.String getRevision()

Specified by:
  `getRevision` in interface `ArtifactInfo`

#### getResource

    public Resource getResource()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### getLastModified

    public long getLastModified()

Specified by:
  `getLastModified` in interface `ArtifactInfo`